Dim soapclient
Dim fileObject
Dim signedXML
Dim signedXMLFile
Dim res

Const WSDL_URL = "http://www.securexml.net/SecureXML/SecureXML.wsdl"


    'Create SoapClient
    Set soapclient = CreateObject("MSSOAP.SoapClient")
    soapclient.ClientProperty("ServerHTTPRequest") = True
    soapclient.mssoapinit WSDL_URL


    Set fileObject = CreateObject("Scripting.FileSystemObject")


    Set signedXMLFile = fileObject.OpenTextFile("signature-enveloped-dsa.xml")
    signedXML = signedXMLFile.ReadAll()
    res = soapclient.SecureXMLVerify(signedXML)
    Set signedXMLFile = fileObject.CreateTextFile("Rsignature-enveloped-dsa.xml", true)
    signedXMLFile.Write(res)

    Set signedXMLFile = fileObject.OpenTextFile("signature-enveloping-b64-dsa.xml")
    signedXML = signedXMLFile.ReadAll()
    res = soapclient.SecureXMLVerify(signedXML)
    Set signedXMLFile = fileObject.CreateTextFile("Rsignature-enveloping-b64-dsa.xml", true)
    signedXMLFile.Write(res)

    Set signedXMLFile = fileObject.OpenTextFile("signature-enveloping-dsa.xml")
    signedXML = signedXMLFile.ReadAll()
    res = soapclient.SecureXMLVerify(signedXML)
    Set signedXMLFile = fileObject.CreateTextFile("Rsignature-enveloping-dsa.xml", true)
    signedXMLFile.Write(res)

    Set signedXMLFile = fileObject.OpenTextFile("signature-enveloping-rsa.xml")
    signedXML = signedXMLFile.ReadAll()
    res = soapclient.SecureXMLVerify(signedXML)
    Set signedXMLFile = fileObject.CreateTextFile("Rsignature-enveloping-rsa.xml", true)
    signedXMLFile.Write(res)

    Set signedXMLFile = fileObject.OpenTextFile("signature-external-dsa.xml")
    signedXML = signedXMLFile.ReadAll()
    res = soapclient.SecureXMLVerify(signedXML)
    Set signedXMLFile = fileObject.CreateTextFile("Rsignature-external-dsa.xml", true)
    signedXMLFile.Write(res)

    Set signedXMLFile = fileObject.OpenTextFile("signature.xml")
    signedXML = signedXMLFile.ReadAll()
    res = soapclient.SecureXMLVerify(signedXML)
    Set signedXMLFile = fileObject.CreateTextFile("Rsignature.xml", true)
    signedXMLFile.Write(res)

    Set signedXMLFile = fileObject.OpenTextFile("signature-external-b64-dsa.xml")
    signedXML = signedXMLFile.ReadAll()
    res = soapclient.SecureXMLVerify(signedXML)
    Set signedXMLFile = fileObject.CreateTextFile("Rsignature-external-b64-dsa.xml", true)
    signedXMLFile.Write(res)

    Set signedXMLFile = fileObject.OpenTextFile("TwoSignatures.xml")
    signedXML = signedXMLFile.ReadAll()
    res = soapclient.SecureXMLVerify(signedXML)
    Set signedXMLFile = fileObject.CreateTextFile("RTwoSignatures.xml", true)
    signedXMLFile.Write(res)

    MsgBox("Done")
